Name:           cclive
Version:        0.9.3
Release:        6%{?dist}
Summary:        Command line media stream extraction tool 
License:        AGPLv3+
URL:            http://cclive.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
Patch0:         cclive-0.9.3-autotools.diff
Patch1:         cclive-0.9.3-gcc50-fixes.diff
BuildRequires:  boost-devel
BuildRequires:  chrpath
BuildRequires:  glib2-devel
BuildRequires:  glibmm24-devel
BuildRequires:  libcurl-devel
BuildRequires:  libquvi-devel
BuildRequires:  pcre-devel

%description
cclive is a command line video extraction utility similar to clive but with
lower requirements. Its features are few and essential. Supports Youtube,
Googlevideo, Break, Liveleak, Sevenload, Evisortv and Dailymotion.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
# Avoid rerunning the autotools
touch -r aclocal.m4 m4/*m4 configure*

%build
%configure --disable-silent-rules
%make_build

%install
%make_install
chrpath --delete %{buildroot}%{_bindir}/%{name}

%files
%doc AUTHORS ChangeLog README
%license COPYING
%{_bindir}/ccl
%{_bindir}/cclive
%{_mandir}/man1/cclive.1*

%changelog
* Mon Mar 09 2015 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.9.3-6
- Update boost.m4. Regenerate configure (Add cclive-0.9.3-autotools.diff).
- Build verbose (Append --disable-silent-rules to %%configure).
- GCC-5.0 compatibility fixes (Add cclive-0.9.3-gcc50.diff).
- Rebuild for boost 1.57.0/gcc-5.0.

* Tue Jan 27 2015 Petr Machata <pmachata@redhat.com> - 0.9.3-5
- Rebuild for boost 1.57.0

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 23 2014 Petr Machata <pmachata@redhat.com> - 0.9.3-2
- Rebuild for boost 1.55.0

* Mon Dec 02 2013 Christopher Meng <rpm@cicku.me> - 0.9.3-1
- Update to 0.9.3

* Fri Nov 29 2013 Michael Schwendt <mschwendt@fedoraproject.org> - 0.9.2-2
- Rebuild for libquvi SONAME change.

* Fri Aug 30 2013 Peter Robinson <pbrobinson@fedoraproject.org> 0.9.2-1
- Update to 0.9.2, cleanup spec

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.11-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 27 2013 pmachata@redhat.com - 0.7.11-4
- Rebuild for boost 1.54.0

* Sun Feb 10 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 0.7.11-3
- Rebuild for Boost-1.53.0

* Sat Feb 09 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 0.7.11-2
- Rebuild for Boost-1.53.0

* Fri Jan 18 2013 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.7.11-1
- Update to 0.7.11

* Sun Oct 28 2012 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.7.10-1
- Update to 0.7.10

* Fri Aug 10 2012 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.7.9-3
- Rebuild for broken dependency

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Mar 11 2012 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.7.9-1
- Update to 0.7.9

* Fri Dec  2 2011 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.7.8-1
- Update to 0.7.8

* Mon Nov 21 2011 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.7.7-3
- Rebuild for broken dependancy (libboost)

* Thu Nov 17 2011 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.7.7-2
- Rebuild for broken dependancy (libquvi)

* Mon Oct 17 2011 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.7.7-1
- Update to 0.7.7

* Mon Sep 19 2011 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.7.6-1
- Update to 0.7.6

* Sat Aug 27 2011 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.7.5.1-1
- Update to 0.7.5.1

* Mon Aug 15 2011 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.7.5-1
- Update to 0.7.5

* Fri Jul 22 2011 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.7.4.1-2
- Rebuild for rawhide

* Fri Jun 24 2011 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.7.4.1-1
- Update to 0.7.4.1

* Mon May  9 2011 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.7.3.1-3
- Keep using bosst filesystem 2 with boost 1.44 to fix #695078

* Thu Apr  7 2011 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.7.3.1-2
- Rebuild for a broken dependancy

* Sun Mar 20 2011 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.7.3.1-1
- Update to 0.7.3.1

* Sun Mar 13 2011 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.7.3-1
- Update to 0.7.3

* Mon Feb 14 2011 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.7.2-1
- Update to 0.7.2
